#ifndef WIDGET7_H
#define WIDGET7_H

#include <QWidget>
#include <QPushButton>
#include <QVector>

class Widget7 : public QWidget
{
    Q_OBJECT
public:
    explicit Widget7(QWidget *parent = nullptr);
    ~Widget7()
    {
        delete vct;
    }
private:
    QVector<QString> *vct;
    QPushButton *btn1,*btn2,*btn3,*btn4,*btn5;
    QPushButton *btn_show,*btn_restart; // 显示按钮，重来按钮

public slots:
    void my_handler(const QString &str);

signals:
    void my_signal(const QString &str);
    void studentSelected(const QString &stuName); // 学生选择信号

};

#endif // WIDGET7_H
